## class osg::TriangleMesh

## Inheritance:

### Public Methods

TriangleMesh()
TriangleMesh(const TriangleMesh& mesh, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
META_Shape(osg, TriangleMesh)
void setVertices(Vec3Array* vertices)
Vec3Array* getVertices()
const Vec3Array* getVertices() const
void setIndices(IndexArray* indices)
IndexArray* getIndices()
const IndexArray* getIndices() const

### Protected Fields

ref_ptr<Vec3Array> _vertices
ref_ptr<IndexArray> _indices

### Protected Methods

~TriangleMesh()

### Inherited from Shape:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void accept(ShapeVisitor&)
virtual void accept(ConstShapeVisitor&) const

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`TriangleMesh()`

`TriangleMesh(const TriangleMesh& mesh, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`META_Shape(osg, TriangleMesh)`

`void setVertices(Vec3Array* vertices)`

`Vec3Array* getVertices()`

`const Vec3Array* getVertices() const`

`void setIndices(IndexArray* indices)`

`IndexArray* getIndices()`

`const IndexArray* getIndices() const`

`~TriangleMesh()`

`ref_ptr<Vec3Array> _vertices`

`ref_ptr<IndexArray> _indices`

Direct child classes:
  ConvexHull

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.